
Foreman - Bug #1098

autosign not supported with puppet enterprise

08/09/2011 01:27 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I got this error while trying to cancel a build.

Failed to remove puppetagent5.logicminds.corp from the autosign file: Failed to remove autosign for puppetagent5.logicminds.corp:

No such file /etc/puppet/autosign.conf

Since I am using puppet enterprise the path needs to change to /etc/pupppetlabs/puppet/autosign.conf or be a configurable option.

History

#1 - 08/09/2011 02:16 AM - Corey Osman

workaround: ln -s /etc/puppetlabs/puppet/autosign.conf /etc/puppet/autosign.conf

#2 - 07/03/2012 09:21 AM - Benjamin Papillon

- Status changed from New to Feedback

In the recent smart-proxy code, it says that you can define the variable "puppetdir" in settings.yml

The default is to use /etc/puppet, but you can surely define it to match your configuration

:puppetdir: /etc/pupppetlabs/puppet

 Can you check and tell me if its working?

#3 - 11/15/2012 08:49 AM - Benjamin Papillon

- Status changed from Feedback to Closed

- Target version set to Bug scrub

Hello,

I assume this bug is resolved by now. Feel free to reopen in case of error :)
